Index: pjproject/trunk/third_party/build/speex/libspeex.vcp
===================================================================
--- pjproject/trunk/third_party/build/speex/libspeex.vcp	(revision 1969)
+++ pjproject/trunk/third_party/build/speex/libspeex.vcp	(revision 2002)
@@ -17810,243 +17442,7 @@
 	
 NODEP_CPP_RESAM=\
+	"..\..\speex\libspeex\os_support_custom.h"\
 	"..\..\speex\libspeex\speex_resampler.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4) Debug"
-
-DEP_CPP_RESAM=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_resampler.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-NODEP_CPP_RESAM=\
-	"..\..\speex\libspeex\speex_resampler.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPS16) Release"
-
-DEP_CPP_RESAM=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_resampler.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-NODEP_CPP_RESAM=\
-	"..\..\speex\libspeex\speex_resampler.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPS16) Debug"
-
-DEP_CPP_RESAM=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_resampler.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-NODEP_CPP_RESAM=\
-	"..\..\speex\libspeex\speex_resampler.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4T) Release"
-
-DEP_CPP_RESAM=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_resampler.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-NODEP_CPP_RESAM=\
-	"..\..\speex\libspeex\speex_resampler.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4T) Debug"
-
-DEP_CPP_RESAM=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_resampler.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-NODEP_CPP_RESAM=\
-	"..\..\speex\libspeex\speex_resampler.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Release"
-
-DEP_CPP_RESAM=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_resampler.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-NODEP_CPP_RESAM=\
-	"..\..\speex\libspeex\speex_resampler.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Debug"
-
-DEP_CPP_RESAM=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_resampler.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-NODEP_CPP_RESAM=\
-	"..\..\speex\libspeex\speex_resampler.h"\
+	".\misc.h"\
 	
 
@@ -18092,5 +17488,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18105,4 +17500,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII_FP) Debug"
@@ -18140,5 +17538,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18153,4 +17550,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Release"
@@ -18188,5 +17588,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18201,4 +17600,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Debug"
@@ -18236,5 +17638,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18249,4 +17650,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH4) Release"
@@ -18284,5 +17688,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18297,4 +17700,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH4) Debug"
@@ -18332,5 +17738,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18345,4 +17750,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH3) Release"
@@ -18380,5 +17788,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18393,4 +17800,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH3) Debug"
@@ -18428,5 +17838,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18441,4 +17850,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV) Release"
@@ -18476,5 +17888,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18489,4 +17900,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV) Debug"
@@ -18524,5 +17938,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18537,4 +17950,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE emulator) Release"
@@ -18572,5 +17988,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18585,4 +18000,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE emulator) Debug"
@@ -18620,5 +18038,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18633,4 +18050,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4I) Release"
@@ -18668,5 +18088,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18681,4 +18100,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4I) Debug"
@@ -18716,5 +18138,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18729,4 +18150,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV_FP) Release"
@@ -18764,5 +18188,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18777,4 +18200,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV_FP) Debug"
@@ -18812,5 +18238,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18825,4 +18250,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4) Release"
@@ -18835,6 +18263,4 @@
 	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
 	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
 	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
@@ -18868,5 +18294,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18882,4 +18307,9 @@
 	".\speex\speex_config_types.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4) Debug"
@@ -18917,5 +18347,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18930,4 +18359,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPS16) Release"
@@ -18965,5 +18397,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -18978,4 +18409,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPS16) Debug"
@@ -19013,5 +18447,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -19026,4 +18459,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4T) Release"
@@ -19061,5 +18497,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -19074,4 +18509,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4T) Debug"
@@ -19109,5 +18547,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -19122,4 +18559,7 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Release"
@@ -19157,5 +18597,4 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -19170,21 +18609,30 @@
 	".\config.h"\
 	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Debug"
 
 DEP_CPP_SB_CE=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\config_site_sample.h"\
 	"..\..\..\pjlib\include\pj\log.h"\
 	"..\..\..\pjlib\include\pj\types.h"\
@@ -19205,7 +18653,7 @@
 	"..\..\speex\libspeex\ltp.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
+	"..\..\speex\libspeex\os_support.h"\
 	"..\..\speex\libspeex\quant_lsp.h"\
 	"..\..\speex\libspeex\sb_celp.h"\
@@ -19217,4 +18665,9 @@
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	".\speex\speex_config_types.h"\
+	
+NODEP_CPP_SB_CE=\
+	"..\..\speex\libspeex\os_support_custom.h"\
+	".\misc.h"\
 	
 
@@ -19251,9 +18704,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII_FP) Debug"
@@ -19282,9 +18737,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Release"
@@ -19313,9 +18770,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Debug"
@@ -19344,9 +18803,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH4) Release"
@@ -19375,9 +18836,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH4) Debug"
@@ -19406,9 +18869,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH3) Release"
@@ -19437,9 +18902,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH3) Debug"
@@ -19468,9 +18935,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV) Release"
@@ -19499,9 +18968,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV) Debug"
@@ -19530,9 +19001,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE emulator) Release"
@@ -19561,9 +19034,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE emulator) Debug"
@@ -19592,9 +19067,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4I) Release"
@@ -19623,9 +19100,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4I) Debug"
@@ -19654,9 +19133,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV_FP) Release"
@@ -19685,9 +19166,11 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV_FP) Debug"
@@ -19716,8 +19199,10 @@
 	"..\..\speex\libspeex\fixed_debug.h"\
 	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\smallft.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_SMALL=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
